#if  1
/*
 * very dumb memory logger for debug output
 */

#define DBG_MAXLINE	120     /* upto 120 chars */
#define DBG_LOG_SZ	(DBG_MAXLINE * 500)

char dbg_log_buffer[DBG_LOG_SZ];
char dbg_log_line[DBG_MAXLINE];
char *dbg_curptr = dbg_log_buffer;
char *dbg_endptr = &dbg_log_buffer[DBG_LOG_SZ];

int dbg_log_initialized = 0;



void
dbg_log_init()
{
        if (dbg_log_initialized)
                return;

        dbg_log_initialized++;
        bzero(dbg_log_buffer, DBG_LOG_SZ);
}

void
dbg_log(char *arg1, char *arg2, char *arg3, char *arg4, char *arg5,
        char *arg6, char *arg7, char *arg8, char *arg9, char *arg10)
{
        int len;
        char *cp;

        if (dbg_log_initialized == 0)
                dbg_log_init();

        cp = dbg_log_line;
        sprintf(cp, arg1, arg2, arg3, arg4, arg5, arg6, arg7,
                arg8, arg9, arg10);

        len = strlen(cp);

        if (len > DBG_MAXLINE)  /* stupid */
                panic("dbg_log big line!\n");

        (void)sprintf(dbg_curptr, cp);
        dbg_curptr += len;
        if ((dbg_curptr + DBG_MAXLINE) > dbg_endptr) /* wrap around */
                dbg_curptr = dbg_log_buffer;
}

void
dbg_show()
{
        printf("%s", dbg_log_buffer);
}

#endif
